{
    surfaceScalarField phiAlphaS
    (
        IOobject
        (
            "phiAlphaS",
            runTime.timeName(),
            mesh
        ),
        rhoPhi + rho1*(mesh.Sf() & fvc::interpolate(Vdj))
    );

    fvScalarMatrix AlphaSEqn
    (
          fvm::ddt(rho, AlphaS)
        + fvm::div(phiAlphaS, AlphaS)
        - fvm::laplacian(muc, AlphaS)
    );

    //AlphaSEqn.relax();
    AlphaSEqn.solve();

    Info<< "Solid phase fraction = "
        << AlphaS.weightedAverage(mesh.V()).value()
        << "  Min(AlphaS) = " << min(AlphaS).value()
        << "  Max(AlphaS) = " << max(AlphaS).value()
        << endl;

    AlphaS.min(1.0);
    AlphaS.max(0.0);

    rho == rho1/(scalar(1) + (rho1/rhod - 1.0)*AlphaS);
    alphaS == rho*AlphaS/rhod;
}
